OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TShape Class Reference

`#include <PTopoDS_TShape.hxx>`

Inheritance diagram for PTopoDS_TShape:

[legend]

## Public Member Functions
virtual Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const =0
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
Standard_EXPORT Standard_Boolean | Modified () const
| Returns the modification flag. .
Standard_EXPORT void | Modified (const Standard_Boolean M)
| Sets the modification flag. .
Standard_EXPORT Standard_Boolean | Checked () const
| Returns the checked flag. .
Standard_EXPORT void | Checked (const Standard_Boolean C)
| Sets the checked flag. .
Standard_EXPORT Standard_Boolean | Orientable () const
| Returns the orientability flag. .
Standard_EXPORT void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. .
Standard_EXPORT Standard_Boolean | Closed () const
| Returns the closedness flag. .
Standard_EXPORT void | Closed (const Standard_Boolean C)
| Sets the closedness flag. .
Standard_EXPORT Standard_Boolean | Infinite () const
| Returns the infinity flag. .
Standard_EXPORT void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. .
Standard_EXPORT Standard_Boolean | Convex () const
| Returns the convexness flag. .
Standard_EXPORT void | Convex (const Standard_Boolean C)
| Sets the convexness flag. .
Standard_EXPORT Handle_PTopoDS_HArray1OfHShape | Shapes () const
| Sets the hshape list .
Standard_EXPORT Handle_PTopoDS_HShape | Shapes (const Standard_Integer I) const
| Sets the i th element of the HShape list .
Standard_EXPORT void | Shapes (const Handle(PTopoDS_HArray1OfHShape)&S)
| Returns the HShape list .
Standard_EXPORT void | Shapes (const Standard_Integer I, const Handle(PTopoDS_HShape)&S)
| Returns the i th element of the hshape list .
| PTopoDS_TShape (const Storage_stCONSTclCOM &a)
| Handle (PTopoDS_HArray1OfHShape) _CSFDB_GetPTopoDS_TShapemyShapes() const
void | _CSFDB_SetPTopoDS_TShapemyShapes (const Handle(PTopoDS_HArray1OfHShape)&p)
Standard_Integer | _CSFDB_GetPTopoDS_TShapemyFlags () const
void | _CSFDB_SetPTopoDS_TShapemyFlags (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | PTopoDS_TShape ()
## Private Attributes
Handle_PTopoDS_HArray1OfHShape | myShapes
Standard_Integer | myFlags

## Constructor & Destructor Documentation

PTopoDS_TShape::PTopoDS_TShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PTopoDS_TShape::PTopoDS_TShape | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_Integer PTopoDS_TShape::_CSFDB_GetPTopoDS_TShapemyFlags | ( |  | ) | const`[inline]`

void PTopoDS_TShape::_CSFDB_SetPTopoDS_TShapemyFlags | ( | const Standard_Integer | p | ) | `[inline]`

void PTopoDS_TShape::_CSFDB_SetPTopoDS_TShapemyShapes | ( | const Handle(PTopoDS_HArray1OfHShape)& | p | ) | `[inline]`

Standard_EXPORT void PTopoDS_TShape::Checked | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Checked | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape::Closed | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Closed | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape::Convex | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Convex | ( |  | ) | const

Standard_EXPORT const PTopoDS_TShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PBRep_TEdge, PBRep_TFace, PBRep_TVertex, PTopoDS_TCompound, PTopoDS_TCompSolid, PTopoDS_TEdge, PTopoDS_TFace, PTopoDS_TShell, PTopoDS_TSolid, PTopoDS_TVertex, and PTopoDS_TWire.

PTopoDS_TShape::Handle | ( | PTopoDS_HArray1OfHShape |  | ) | const`[inline]`

Standard_EXPORT void PTopoDS_TShape::Infinite | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Infinite | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape::Modified | ( | const Standard_Boolean | M | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Modified | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape::Orientable | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape::Orientable | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape::Shapes | ( | const Standard_Integer | I,
|  | const Handle(PTopoDS_HShape)& | S
| ) |

Standard_EXPORT void PTopoDS_TShape::Shapes | ( | const Handle(PTopoDS_HArray1OfHShape)& | S | ) |

Standard_EXPORT Handle_PTopoDS_HShape PTopoDS_TShape::Shapes | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Handle_PTopoDS_HArray1OfHShape PTopoDS_TShape::Shapes | ( |  | ) | const

virtual Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TShape::ShapeType | ( |  | ) | const`[pure virtual]`

| Implemented in PTopoDS_TCompound, PTopoDS_TCompSolid, PTopoDS_TEdge, PTopoDS_TFace, PTopoDS_TShell, PTopoDS_TSolid, PTopoDS_TVertex, and PTopoDS_TWire.

## Field Documentation

Standard_Integer PTopoDS_TShape::myFlags`[private]`

| Reimplemented in PBRep_TEdge.

Handle_PTopoDS_HArray1OfHShape PTopoDS_TShape::myShapes`[private]`

The documentation for this class was generated from the following file:

- PTopoDS_TShape.hxx